Upload Funding Invoice
curl --request POST \
--url https://api.lendflow.com/api/offers/{offer_id}/funding_transactions/{funding_transaction_id}/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileimport requests
url = "https://api.lendflow.com/api/offers/{offer_id}/funding_transactions/{funding_transaction_id}/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.lendflow.com/api/offers/{offer_id}/funding_transactions/{funding_transaction_id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"tracking": "",
"transaction_amount": 1819218.16,
"transaction_date": "2024-07-16",
"transaction_type": "draw",
"draw_commission": null,
"chrono_index": null,
"netsuite_code": null
}
}Offers
Upload Funding Invoice
Attaches an invoice file to a funding transaction. This is only applicable to the ARLOC product.
POST
/
api
/
offers
/
{offer_id}
/
funding_transactions
/
{funding_transaction_id}
/
upload
Upload Funding Invoice
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer.
The ID of the funding transaction.
Body
multipart/form-data
Must be a file. Must not be greater than 102400 kilobytes.
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?